Subject: Re: [Security] [PATCH] infinite recursion in netlink

From: Greg KH <[email-masked]>
Date: Wed, 25 Apr 2007 22:29:12 -0700

On Wed, Apr 25, 2007 at 01:15:12PM -0700, Linus Torvalds wrote:
> 
> 
> On Wed, 25 Apr 2007, Alexey Kuznetsov wrote:
> > 
> > Reply to NETLINK_FIB_LOOKUP messages were misrouted back to kernel,
> > which resulted in infinite recursion and stack overflow.

Wait, I just had the bright idea of actually testing this before I
pushed out a 2.6.20.9 kernel with another fix in it, and nope, still
crashes, even with this patch  :(

Full stackdump in a picture (forgot to have netconsole running) at:
	http://www.kroah.com/netlink_oops.jpg

Any thoughts?

I'll go try 2.6.21 now too...

thanks,

greg k-h